<?php

namespace Drupal\elasticsearch_helper_content\Plugin\ElasticsearchNormalizer\Field;

use Drupal\Core\Entity\EntityInterface;
use Drupal\Core\Field\FieldItemInterface;
use Drupal\elasticsearch_helper\Elasticsearch\Index\FieldDefinition;

/**
 * The float field normalizer plugin class.
 *
 * @ElasticsearchFieldNormalizer(
 *   id = "float",
 *   label = @Translation("Float, decimal"),
 *   field_types = {
 *     "float",
 *     "decimal"
 *   }
 * )
 */
class FloatNormalizer extends FieldNormalizerBase {

  /**
   * {@inheritdoc}
   */
  public function getFieldItemValue(EntityInterface $entity, FieldItemInterface $item, array $context = []) {
    // Adding 0 to a string would produce integer or float.
    $value = $item->value;

    return $value + 0;
  }

  /**
   * {@inheritdoc}
   */
  public function getFieldDefinition() {
    return FieldDefinition::create('float');
  }

}
